#!/bin/sh
#
# Part of TUI-SH
# (c) 2001-2002 Mathieu Roy <yeupou@gnu.org>
#
#  see http://sv.gnu.org/projects/tui-sh
#  comments to <tui-sh-dev@mail.freesoftware.fsf.org>
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
# $Id: memolatex.sh,v 1.7 2002/07/16 10:31:15 yeupou Exp $
#

#################
# configuration

# Author & Contact
TUISH_AUTHOR="2002 Mathieu Roy"
TUISH_MAIL="tui-sh-dev@mail.freesoftware.fsf.org"

# TUISH_cript dtails
TUISH_NAME="memolatex"
TUISH_VER="\$Date: 2002/07/16 10:31:15 $"
TUISH_DESC="generate HTML, Postscript version of memo (ex: summary of readings...)"
TUISH_USAGE="[directory]"
TUISH_REQUIRE="make, latex2html, dvips, latex, Smrclean, pwd"

TUISH_HELP_00="% The concept of memolatex is simple :"
TUISH_HELP_01="%   some categories, some subcategories, a latex file by item."
TUISH_HELP_02="% For example, a summary of History books, it's :"
TUISH_HELP_03="%   some category as Roman.d, some Authors as TUISH_cheid, some books"
TUISH_HELP_04="%   as 'Religion et pit  Rome'"
TUISH_HELP_05="% To get this :"
TUISH_HELP_06="mkdir history/reading   # we make a general base directory"
TUISH_HELP_07="cd history/reading"
TUISH_HELP_08="mkdir Roman.d   # we create the category"
TUISH_HELP_09="mkdir Roman.d/Scheid   # we create a directory for the Author, John TUISH_cheid"
TUISH_HELP_10="emacs Roman.d/Scheid/Religion_et_pit__Rome.tex"
TUISH_HELP_11="% In this file, I put everything I want about this book, using latex."
TUISH_HELP_12="% BUT no latex \begin{document} \documentclass{xxx} or whatever,"
TUISH_HELP_13="% only the content. BUT no section more important than \section{}"
TUISH_HELP_14="% (no \chapter{})..."
TUISH_HELP_15="memolatex  # we do this to get the Makefile, only the first time"
TUISH_HELP_16="make  # we generate all"
TUISH_HELP_17="% We can generate only some parts (self explaining) : 'make latex', 'make ps', 'make html', 'make clean'"
TUISH_HELP_18=" "

# Source function library.
. /usr/lib/tui-sh/libinfo.5

############################ Here we go !

# we define functions

function TUISH_mmltx_gen_makefile {
      echo "Where (prefix) the HTML output should be written ?"
      echo "ex: /opt"
      read HTML_OUTPUT
      echo "What should be the latex2html command ?"
      echo "ex: latex2html -split 3"
      read LATEX2HTML_BIN
      echo "What is the memo title ?"
      echo "ex: Fiches de lecture"
      read LATEX_TITLE


    echo "all:" > Makefile
    echo "	make clean" >> Makefile
    echo "	make latex" >> Makefile
    echo "	make ps" >> Makefile
    echo "	make html" >> Makefile
    echo "	make clean" >> Makefile
    echo "latex:" >> Makefile
    echo "	make name" >> Makefile
    echo "	echo \"\documentclass[A4paper,11pt,dvips]{multiuse}\" > \`cat PWD.tmp\`.tex" >> Makefile
    echo "	echo \"\documentclass[A4paper,11pt,dvips]{report}\" > \`cat PWD.tmp\`.tmp" >> Makefile
    echo "	echo \"\usepackage[french]{babel}\" >> \`cat PWD.tmp\`.tmp" >> Makefile
    echo "	echo \"\usepackage[T1]{fontenc}\" >> \`cat PWD.tmp\`.tmp" >> Makefile
    echo "	echo \"\usepackage[dvips]{graphics}\" >> \`cat PWD.tmp\`.tmp" >> Makefile
    echo "	echo \"\title{$LATEX_TITLE}\" >> \`cat PWD.tmp\`.tmp" >> Makefile
    echo "	echo \"\begin{document}\" >> \`cat PWD.tmp\`.tmp" >> Makefile
    echo "	echo \"\small\" >> \`cat PWD.tmp\`.tmp" >> Makefile
    echo "	echo \"\tableofcontents\" >> \`cat PWD.tmp\`.tmp" >> Makefile
    echo "	echo \"\title{$LATEX_TITLE}\" >> \`cat PWD.tmp\`.tex" >> Makefile
    echo "	echo \"\begin{document}\" >> \`cat PWD.tmp\`.tex" >> Makefile
    echo "	echo \"\small\" >> \`cat PWD.tmp\`.tex" >> Makefile
    echo "	echo \"\tableofcontents\" >> \`cat PWD.tmp\`.tex" >> Makefile
    echo "	for dir in *.d ; do \\" >> Makefile
    echo "		echo \"\part{\`basename \$\$dir .d\`}\" >> \`cat PWD.tmp\`.tmp &&\\" >> Makefile
    echo "		echo \"\part{\`basename \$\$dir .d\`}\" >> \`cat PWD.tmp\`.tex &&\\" >> Makefile
    echo "		cd \"\$\$dir\" &&\\" >> Makefile
    echo "		for author in * ; do \\" >> Makefile
    echo "		    cd \"\$\$author\" &&\\" >> Makefile
    echo "		    for book in *.tex ; do \\" >> Makefile
    echo "			Cbook=\`echo \"\$\$book\" | sed s/_/\" \"/g\` &&\\" >> Makefile
    echo "			echo \"\chapter{\$\$author, \textit{\`basename \"\$\$Cbook\" .tex\`}}\input \$\$dir/\$\$author/\$\$book\" >> ../../\`cat PWD.tmp\`.tmp &&\\" >> Makefile
    echo "			echo \"\chapter{\$\$author, \textit{\`basename \"\$\$Cbook\" .tex\`}}\input \$\$dir/\$\$author/\$\$book\" >> ../../\`cat PWD.tmp\`.tex \\" >> Makefile
    echo "		    ; done &&\\" >> Makefile
    echo "		    cd .. \\" >> Makefile
    echo "		; done &&\\" >> Makefile
    echo "		cd .. \\" >> Makefile
    echo "	; done" >> Makefile
    echo "	echo \"\label{lastpage}\" >> \`cat PWD.tmp\`.tmp" >> Makefile
    echo "	echo \"\end{document}\" >> \`cat PWD.tmp\`.tmp" >> Makefile
    echo "	echo \"\label{lastpage}\" >> \`cat PWD.tmp\`.tex" >> Makefile
    echo "	echo \"\end{document}\" >> \`cat PWD.tmp\`.tex" >> Makefile
    echo "ps:" >> Makefile
    echo "	make name" >> Makefile
    echo "	Stex \`cat PWD.tmp\`.tex" >> Makefile
    echo "html:" >> Makefile
    echo "	make name" >> Makefile
    echo "	$LATEX2HTML_BIN \`cat PWD.tmp\`.tmp" >> Makefile
    echo "	rm -rf $HTML_OUTPUT/\`cat PWD.tmp\`.\`whoami\`" >> Makefile
    echo "	cp -rf \`cat PWD.tmp\` $HTML_OUTPUT/\`cat PWD.tmp\`.\`whoami\`" >> Makefile
    echo "clean:" >> Makefile
    echo "	make name" >> Makefile
    echo "	Smrclean ." >> Makefile
    echo "	rm -rf *.log *.aux *.toc *.dvi *tmp*" >> Makefile
    echo "name:" >> Makefile
    echo "	basename \`pwd\` > PWD.tmp" >> Makefile
    echo "help:" >> Makefile
    echo "	memolatex --help" >> Makefile


      echo "-=--=--=--=--=--=--=--=--=-"
      echo "The Makefile has been generated:"
      echo " "
      echo "  Basically, the only thing to do to generate .tex, .ps and .html"
      echo "  is \`make\`"
      echo " "
      echo "  To get help, type \`memolatex --help\` or \`make help\`"
      echo "-=--=--=--=--=--=--=--=--=-"
}



#############
# here we go

case $1 in
    --help|-h) TUISH_help ;;
    --version) TUISH_version ;;
    *)  if [ -e "$1" ]; then cd "$1" ; fi 
	TUISH_mmltx_gen_makefile
	;;
esac


# end
