#!/bin/sh
#
# Part of TUI-SH
# (c) 2001-2002 Mathieu Roy <yeupou@gnu.org>
#
#  see http://sv.gnu.org/projects/tui-sh
#  comments to <tui-sh-dev@mail.freesoftware.fsf.org>
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
# $Id: mrclean.sh,v 1.1 2002/07/16 10:31:15 yeupou Exp $
#

#################
# configuration

# general
TUISH_AUTHOR="2001-2002 Mathieu Roy"
TUISH_MAIL="tui-sh-dev@mail.freesoftware.fsf.org"


TUISH_NAME="mrclean"
TUISH_VER="\$Date: 2002/07/16 10:31:15 $"
TUISH_DESC="Remove unwanted type of file. Edit the script to adapt it to your need. By default, it removes backups as *~ ."
TUISH_USAGE="[OPTION] directory"
TUISH_REQUIRE="find, pwd and rm"

# Source function library.
. /usr/lib/tui-sh/libinfo.5

# vars
DIR="$1"
if [ "$1" == "" ] ; then DIR=`pwd` ; fi


#################
# functions


function TUISH_mrclean_cleaning {
    find $DIR \( -name "#*#" -or -name ".#*" -or -name "*~" -or -name ".*~" \) -exec rm -rfv {} \;
    echo "done"
}
    
#############
# here we go

case $1 in
	--help | -h ) TUISH_help ;;
	--version | -v ) TUISH_version ;;
	*) TUISH_mrclean_cleaning ;;
esac

#############
# end