#!/bin/sh
#
# Part of TUI-SH
# (c) 2001-2002 Mathieu Roy <yeupou@gnu.org>
#
#  see http://sv.gnu.org/projects/tui-sh
#  comments to <tui-sh-dev@mail.freesoftware.fsf.org>
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
# $Id: murder.sh,v 1.1 2002/07/16 10:31:15 yeupou Exp $
#

#################
# configuration

# general
TUISH_AUTHOR="2001-2002 Mathieu Roy"
TUISH_MAIL="tui-sh-dev@mail.freesoftware.fsf.org"

TUISH_NAME="murder"
TUISH_VER="\$Date: 2002/07/16 10:31:15 $"
TUISH_DESC="Kill processes of a program by giving his name."
TUISH_USAGE="[OPTION] program_name"
TUISH_REQUIRE="kill, killall, pidof"
TUISH_HELP_00="  -b, --blur                 if you don't know the exact name of the program"


# Source function library.
. /usr/lib/tui-sh/libinfo.5

# some vars
unset $PROGRAM

#################
# functions
function TUISH_mrdr_normal_kill {
    if [ ! $PROGRAM ] ; then
	TUISH_help
	exit
    fi
    kill -9 `pidof $PROGRAM`
}

function TUISH_mrdr_large_kill {
    killall `ps -ax | grep $PROGRAM | head -n 1 | cut -b 28-300`
}


#############
# here we go

# Get options
GETOPT_TEMP=`getopt -o hb --long help,version,blur \
     -n $TUISH_NAME -- "$@"`
eval set -- "$GETOPT_TEMP"


# what program it is: it should be the last remaining arg from getopt
for arg do PROGRAM="$arg"; done

# set action
while true ; do
    case "$1" in
	-h|--help) TUISH_help ; break ;;
	--version) TUISH_version ; break ;;
	-b|--blur) TUISH_mrdr_large_kill ; break ;;
	*) TUISH_mrdr_normal_kill ;break ;;
    esac
done

#############
# end
