#!/bin/sh
#
# Part of TUI-SH
# (c) 2001-2002 Mathieu Roy <yeupou@gnu.org>
#
#  see http://sv.gnu.org/projects/tui-sh
#  comments to <tui-sh-dev@mail.freesoftware.fsf.org>
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
# $Id: gnu_logo.sh,v 1.6 2002/07/24 13:00:33 yeupou Exp $
#

#################
# configuration

# Author & Contact
TUISH_AUTHOR="2001-2002 Mathieu Roy"
TUISH_MAIL="tui-sh-dev@mail.freesoftware.fsf.org"

# Script dtails
TUISH_NAME="gnu_logo"
TUISH_VER="\$Date: 2002/07/24 13:00:33 $"
TUISH_DESC="Show an ASCII GNU and informations about machine and GNU system installed."
TUISH_USAGE="[OPTION]"

# Source function library.
. /usr/local/lib/tui-sh/libinfo.5


# conf

    # black & white
    #B=" "            # background
    #F="#"             # foreground

    # color
    B=" "            # background
    F="\\033[1;32m#\\033[0;39m"             # foreground
    KERNELC="\\033[1;32m"
    GNUC="\\033[1;32m"


    # info
    DISTRIBINFO="/etc/distrib.info"
    CPUINFO="/proc/cpuinfo"
    MEMINFO="/proc/meminfo"

    GLIBCTEST="getent"
    GLIBCTESTPATH="/usr/bin"
    
############################ Here we go !

function TUISH_gnulogo_distrib_info {
    if [ ! -e $DISTRIBINFO ] && [ `whoami` == "root" ] ; then
	# test to detect distrib release
	# I dont know how other distrib than RH / MDK do this
	if [ -e /etc/redhat-release ]; then
	    ln -s /etc/redhat-release $DISTRIBINFO
	fi
    fi
}

function TUISH_gnulogo_logo {
    #         ############    ############      ############
    #echo -e "                                                                      $GNUC  "\,"           "\,"  \\033[0;39m"
    echo -e "$B$B$F$F$F$F$F$F$B$B$F$B$B$B$B$B$F$B$B$F$B$B$B$B$F                    $GNUC /             \ \\033[0;39m"
    echo -e "$B$B$F$B$B$B$B$F$B$B$F$F$B$B$B$B$F$B$B$F$B$B$B$B$F                    $GNUC((__-^^-,-^^-__))\\033[0;39m"
    echo -e "$B$B$F$B$B$B$B$B$B$B$F$B$F$B$B$B$F$B$B$F$B$B$B$B$F                    $GNUC "\`"-_---"\'" "\`"---_-"\'"\\033[0;39m"
    echo -e "$B$B$F$B$B$B$B$B$B$B$F$B$F$B$B$B$F$B$B$F$B$B$B$B$F                    $GNUC  "\`"--|o"\`" "\'"o|--"\'"\\033[0;39m"
    echo -e "$B$B$F$B$B$F$F$F$B$B$F$B$B$F$B$B$F$B$B$F$B$B$B$B$F                    $GNUC     \  "\`"  / \\033[0;39m"
    echo -e "$B$B$F$B$B$F$B$F$B$B$F$B$B$B$F$B$F$B$B$F$B$B$B$B$F                    $GNUC      ): :(\\033[0;39m"
    echo -e "$B$B$F$B$B$B$B$F$B$B$F$B$B$B$B$F$F$B$B$F$B$B$B$B$F                    $GNUC      :o_o:\\033[0;39m"
    echo -e "$B$B$F$B$B$B$B$F$B$B$F$B$B$B$B$F$F$B$B$F$B$B$B$B$F                    $GNUC       \"-\" \\033[0;39m"
    echo -e "$B$B$F$F$F$F$F$F$B$B$F$B$B$B$B$B$F$B$B$F$F$F$F$F$F $KERNELC/ `uname -s`\\033[0;39m" 
}

function TUISH_gnulogo_logo_it {
    #echo -e "                                                                               $GNUC  "\,"           "\,"  \\033[0;39m"
    echo -e "        $B$B$F$F$F$F$F$F$B$B$F$B$B$B$B$B$F$B$B$F$B$B$B$B$F                    $GNUC /             \ \\033[0;39m"
    echo -e "       $B$B$F$B$B$B$B$F$B$B$F$F$B$B$B$B$F$B$B$F$B$B$B$B$F                    $GNUC((__-^^-,-^^-__))\\033[0;39m"
    echo -e "      $B$B$F$B$B$B$B$B$B$B$F$B$F$B$B$B$F$B$B$F$B$B$B$B$F                    $GNUC "\`"-_---"\'" "\`"---_-"\'"\\033[0;39m"
    echo -e "     $B$B$F$B$B$B$B$B$B$B$F$B$F$B$B$B$F$B$B$F$B$B$B$B$F                    $GNUC  "\`"--|o"\`" "\'"o|--"\'"\\033[0;39m"
    echo -e "    $B$B$F$B$B$F$F$F$B$B$F$B$B$F$B$B$F$B$B$F$B$B$B$B$F                    $GNUC     \  "\`"  / \\033[0;39m"
    echo -e "   $B$B$F$B$B$F$B$F$B$B$F$B$B$B$F$B$F$B$B$F$B$B$B$B$F                    $GNUC      ): :(\\033[0;39m"
    echo -e "  $B$B$F$B$B$B$B$F$B$B$F$B$B$B$B$F$F$B$B$F$B$B$B$B$F                    $GNUC      :o_o:\\033[0;39m"
    echo -e " $B$B$F$B$B$B$B$F$B$B$F$B$B$B$B$F$F$B$B$F$B$B$B$B$F                    $GNUC       \"-\" \\033[0;39m"
    echo -e "$B$B$F$F$F$F$F$F$B$B$F$B$B$B$B$B$F$B$B$F$F$F$F$F$F $KERNELC/ `uname -s`\\033[0;39m" 
}

function TUISH_gnulogo_info {
    TUISH_gnulogo_distrib_info
    if [ -e $DISTRIBINFO ]; then echo -e "  $GNUC>\\033[0;39m `cat $DISTRIBINFO`" ; fi
    echo -e "  $GNUC>\\033[0;39m Kernel `uname -mr`, compiled `uname -v`"
    if [ -e $CPUINFO ]; then
	CPUINFO_VENDORID=`cat $CPUINFO | grep vendor_id | cut -b 13-100`
	CPUINFO_MODELNAME=`cat $CPUINFO | grep model\ name | cut -b 14-100`
	CPUINFO_CPUMHZ=`cat $CPUINFO | grep cpu\ MHz | cut -b 12-100`
	CPUINFO_BOGOMIPS=`cat $CPUINFO | grep bogomips | cut -b 12-100`
	echo -e "  $GNUC>\\033[0;39m $CPUINFO_VENDORID $CPUINFO_MODELNAME ($CPUINFO_CPUMHZ MHz), $CPUINFO_BOGOMIPS bogomips"
    fi
    if [ -e $MEMINFO ]; then
	MEMINFO_MEMTOTAL=`cat $MEMINFO | grep MemTotal | cut -b 10-100 | sed s/^\ *//g` #| sed s/kB/ko/g`
        MEMINFO_SWAPTOTAL=`cat $MEMINFO | grep SwapTotal | cut -b 11-100 | sed s/^\ *//g` # | sed s/kB/ko/g`
	echo -e "  $GNUC>\\033[0;39m $MEMINFO_MEMTOTAL RAM, $MEMINFO_SWAPTOTAL swap"
    fi
    if [ -x $GLIBCTESTPATH/$GLIBCTEST ]; then
	GLIBC_VERSION=`$GLIBCTESTPATH/$GLIBCTEST --version | grep $GLIBCTEST | sed s/"$GLIBCTEST"//g | sed s/"("//g | sed s/")"//g | sed s/^\ *//g`
	echo -e "  $GNUC>\\033[0;39m $GLIBC_VERSION" #, gcc `gcc --version`"
    fi
}

# go

case $1 in
	--help|-h) TUISH_help ;;
	--version) TUISH_version ;;
	--italic|-i) TUISH_gnulogo_logo_it && TUISH_gnulogo_info ;;
	*) TUISH_gnulogo_logo && TUISH_gnulogo_info ;;
esac



# end