#!/bin/sh
#/etc/init.d/ipchains
#
# adapation du script de Franck Yvonnet <franck@yvonnet.org>
if [ "$1" == "--help" ] ; then
echo "configure ipchains (linux 2.2.x)"
echo "this is a SysV script : usage start|restart"
exit
fi


echo Configuration du firewall...

# Nettoyage des regles precedentes
cd /sbin
./ipchains -F input
./ipchains -F output
./ipchains -F forward

# regles par defaut

./ipchains -P input DENY
./ipchains -P output ACCEPT
#ipchains -P forward ACCEPT

# accepte les paquets entrants sur les interfaces ethernet et loopback

./ipchains -A input -i lo   -j ACCEPT
./ipchains -A input -i eth0 -j ACCEPT
#./ipchains -A input -i eth1 -j ACCEPT


# bloque les paquets en provenances d'adresses interdites

./ipchains -l -A input -i ppp0 -s 192.168.0.0/16 -j DENY
./ipchains -l -A input -i ppp0 -s 172.16.0.0/12 -j DENY
./ipchains -l -A input -i ppp0 -s 10.0.0.0/8 -j DENY


./ipchains -A input -p tcp -s 0/0 -d 0/0 6000:6010 -i ppp0 -j DENY -l
./ipchains -A input -p udp -s 0/0 -d 0/0 6000:6010 -i ppp0 -j DENY -l

# autorise les paquets en retour de connexions initialisees 

./ipchains -A input -i ppp0 -p tcp ! -y -j ACCEPT

# autorise les connexions entrantes sur certains ports

#./ipchains -l -A input -i ppp0 -p tcp --dport 8080 -j ACCEPT
#./ipchains -l -A input -i ppp0 -p tcp --dport  113 -j ACCEPT
#./ipchains -l -A input -i ppp0 -p tcp --dport   80 -j ACCEPT
#./ipchains -l -A input -i ppp0 -p tcp --dport   21 -j ACCEPT
#./ipchains -l -A input -i ppp0 -p tcp --dport  5555 -j ACCEPT
#./ipchains -l -A input -i ppp0 -p tcp --dport   22 -j ACCEPT

#./ipchains -l -A output -i ppp0 -p tcp --dport   6000 -j DENY
# autorise les reponses des DNS

./ipchains -A input -i ppp0 -p udp -s 0.0.0.0/0 53 -j ACCEPT
./ipchains -A input -i ppp0 -p tcp -s 0.0.0.0/0 53 -j ACCEPT

# autorise les messages ICMP:  Echo Reply, Destination Unreachable et
# Time Exceeded

./ipchains -A input -i ppp0 -p icmp --dport  0 -j ACCEPT
./ipchains -A input -i ppp0 -p icmp --dport  3 -j ACCEPT
./ipchains -A input -i ppp0 -p icmp --dport 11 -j ACCEPT

# Masq

#ipchains -A forward -s 192.168.42.0/24 -d ! 192.168.42.0/24 -j MASQ
