#!/bin/sh
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
#  take a look at http://www.freesoftware.fsf.org/tui-sh
#  send comments at <tui-sh-dev@mail.freesoftware.fsf.org>


if [ "$1" == "--help" ] ; then
echo "a prompt which allow to choose between X starting"
echo "or staying in text-mode"
echo "this can be usefull with old machines"
echo "it should be started after rc.local or by rc.local"
echo "this is a SysV script : usage start"
exit
fi

TERM=linux
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin

# test if desired Lang is french or not
if [ "`echo $LANG | grep fr`" != "" ] ; then

    echo "Dmarrer le mode X ou rester en mode texte ?"
    echo -e "  - tapez ""\\033[1;32m"texte"\\033[0;39m"" (ou ""\\033[1;32m"txt"\\033[0;39m"", ""\\033[1;32m"t"\\033[0;39m"") pour rester en mode texte"
    echo -e "  - tapez ""\\033[1;32m"entre"\\033[0;39m"" pour lancer XFree"
    read echo
    # if user want X, we try gdm, and after this xdm
    case $echo in
	texte | txt | t ) echo "=> mode texte choisi" ;;
	* )	echo "=> mode X choisi"
	    if [ -x "`which gdm`" ] ; then
		`which gdm`
	    elif [ -x "`which xdm`" ] ; then
		echo "--> gdm non trouv, lancement de xdm"
		`which xdm`
	    else
		echo "--> xdm non trouv, basculement en mode texte"
	    fi
	    ;;
    esac

else
# desired Lang is not french

    echo "Start X-server or stay in text-mode?"
    echo -e "  - type ""\\033[1;32m"text"\\033[0;39m"" (or ""\\033[1;32m"txt"\\033[0;39m"", ""\\033[1;32m"t"\\033[0;39m"") to stay in text-mode"
    echo -e "  - type ""\\033[1;32m"enter"\\033[0;39m"" to start XFree"
    read echo
    # if user want X, we try gdm, and after this xdm
    case $echo in
	text | txt | t ) echo "=> text-mode picked" ;;
	* )	echo "=> X-server picked"
	    if [ -x "`which gdm`" ] ; then
		`which gdm`
	    elif [ -x "`which xdm`" ] ; then
		echo "--> gdm not found, try starting xdm"
		`which xdm`
	    else
		echo "--> xdm not found, we'll stay in text-mode"
	    fi
	    ;;
    esac

fi

# that's all